Skip to content
GAMPEONCreate
New project

Decide on a payout program application

POST
/v1/admin/payout-program/{handle}
curl --request POST \
--url https://api.gampeon.com/v1/admin/payout-program/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "decision": "approve", "reason": "example" }'

Never on your own account. reject and suspend need a reason.

Requires the role admin.

Not available with access tokens.

handle
required
string
/^[a-z0-9_]{3,24}$/

Handle of the account

Media typeapplication/json
object
decision
required
string
Allowed values: approve reject suspend
reason

Reason, 5 to 500 characters. Stored in the audit log.

string
>= 5 characters <= 500 characters

Decided

Media typeapplication/json
object
handle
required
string
payoutProgram
required
string

Example generated

{
"handle": "example",
"payoutProgram": "example"
}

Error codes: invalid_field

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: forbidden, token_not_allowed, four_eyes_required

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: no_application

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: payments_disabled

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback